"use strict";
exports.__esModule = true;
exports.Snippet = void 0;
var fs = require("fs");
var Snippet = /** @class */ (function () {
    function Snippet(filepath, name) {
        this.filepath = filepath;
        this.name = name;
    }
    /**
     * Gets the file contents of the snippet.
     * @param callback called when the snippet is retrieved
     */
    Snippet.prototype.get = function (callback) {
        fs.readFile(this.filepath, function (err, res) {
            if (err)
                callback(err, null);
            callback(null, res.toString());
        });
    };
    /**
     * Gets the file contents of the snippet synchronously.
     * @returns the file contents of the snippet as a string.
     */
    Snippet.prototype.getSync = function () {
        return fs.readFileSync(this.filepath).toString();
    };
    return Snippet;
}());
exports.Snippet = Snippet;
