"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) __createBinding(exports, m, p);
};
exports.__esModule = true;
exports.getLanguages = exports.getLanguageNames = exports.getLanguage = exports.reload = void 0;
var fs = require("fs");
var glob = require("glob");
var path = require("path");
var language_1 = require("./language");
var removeComments_1 = require("./removeComments");
var indexPath = path.resolve(path.join(__dirname, '../snippets.jsonc'));
var index;
/**
 * Reloads the snippets index.
 */
function reload() {
    var contents = fs.readFileSync(indexPath).toString();
    index = JSON.parse(removeComments_1.removeComments(contents));
}
exports.reload = reload;
/**
 * Gets a language by name.
 * @param name name of the Language
 * @returns the associated Language object
 */
function getLanguage(name) {
    if (!index)
        reload();
    for (var _i = 0, index_1 = index; _i < index_1.length; _i++) {
        var item = index_1[_i];
        if (item.name.toLowerCase() === name.toLowerCase()) {
            return new language_1.Language(item.name, item.short, glob.sync(item.path, {
                cwd: path.resolve(path.join(__dirname, '..'))
            }));
        }
    }
}
exports.getLanguage = getLanguage;
/**
 * A list of language names defined in snippets.jsonc
 * @returns list of languages
 */
function getLanguageNames() {
    if (!index)
        reload();
    var languages = [];
    for (var _i = 0, index_2 = index; _i < index_2.length; _i++) {
        var item = index_2[_i];
        languages.push(item.name);
    }
    return languages;
}
exports.getLanguageNames = getLanguageNames;
/**
 * Gets a list of languages defined in snippets.jsonc
 * @returns list of languages
 */
function getLanguages() {
    if (!index)
        reload();
    var languages = [];
    for (var _i = 0, index_3 = index; _i < index_3.length; _i++) {
        var item = index_3[_i];
        languages.push(getLanguage(item.name));
    }
    return languages;
}
exports.getLanguages = getLanguages;
__exportStar(require("./language"), exports);
__exportStar(require("./snippet"), exports);
